﻿using dcHRMXPO.Module.BusinessObjects.BaseInterfaces;
using DevExpress.Xpo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace dcHRMXPO.Module.BusinessObjects.CustomObjects
{
    [Persistent("xpo.Employees")]
    public partial class DcEmployee : XPObject, IDcBaseEmployee
    {
        public DcEmployee(Session session) : base(session) { }
        public override void AfterConstruction() { base.AfterConstruction(); }

        public string Name
        {
            get { return GetPropertyValue<string>("Name"); }
            set { SetPropertyValue("Name", value); }
        }

        public string Surname
        {
            get { return GetPropertyValue<string>("Surname"); }
            set { SetPropertyValue("Surname", value); }
        }

        public long Afm
        {
            get { return GetPropertyValue<long>("Afm"); }
            set { SetPropertyValue("Afm", value); }
        }

        public Guid Uid
        {
            get { return GetPropertyValue<Guid>("Uid"); }
            set { SetPropertyValue("Uid", value); }
        }

        public int? TenantId
        {
            get { return GetPropertyValue<int?>("TenantId"); }
            set { SetPropertyValue("TenantId", value); }
        }
    }
}
