﻿using DevExpress.Xpo;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace dcHRMXPO.Module.BusinessObjects.BaseInterfaces
{
    [NonPersistent]
    public interface IDcBaseObject
    {  
        [Browsable(false), ReadOnly(true)]
        [Persistent("UID"),Indexed(Name="UID",Unique=true)]
        Guid Uid { get; set; }

        [Persistent("TenantId"), Indexed(Name = "TenantId", Unique = false)]
        Nullable<int> TenantId { get; set; }
    }
}
