﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace dcHRMXPO.Module.BusinessObjects.BaseInterfaces
{
    public interface IDcBaseObjectProvider<T>
    {
        T GetByOid(int oid);

        T GetByGuid(Guid uid);

        T[] GetAllByTenant(int tenantId);
    }
}
